import{d as i,a}from"./dataSchema-VwIQYPJL.js";import{l as e}from"./locale-wDcg0qDg.js";const t=`The File Picker Drawer renders a drawer containing a drag-and-drop area to handle file uploads / downloads.

The File Picker Drawer is designed to handle fields that hold metadata about storage location for files saved in a file storage service and handled by Mia Platform's Files Service. Such fields are identifiable in a data-schema as fields of type object or array and format file.

The File Picker Drawer opens when a component signals the request to update a file field associated to the item of a collection with event link-file-to-record, and allows interaction with such field through a drag-and-drop area

In particular, it allows:

- request the download of the corresponding file from the file storage service, via the download-file event. Such event could be handled by a component such as the File Service Client.
- the upload of new files, with consequent update of the CRUD collection item with the storage metadata of the new file. This request is signaled with the update-data-with-file event, and could be picked up by a component such as the File Manger
`,o=`Il File Picker Drawer restituisce un drawer contenente un'area di drag-and-drop per gestire il caricamento e il download di file.

Il File Picker Drawer è progettato per gestire i campi che contengono metadati sulla posizione di archiviazione dei file salvati in un servizio di archiviazione file e gestiti dal servizio File di Mia Platform. Tali campi sono identificabili in un data-schema come campi di tipo object o array e formato file.

Il File Picker Drawer si apre quando un componente segnala la richiesta di aggiornamento di un campo file associato all'elemento di una collezione con l'evento link-file-to-record, e consente l'interazione con tale campo attraverso un'area di drag-and-drop.

In particolare, consente di:

- richiedere il download del file corrispondente dal servizio di archiviazione file, tramite l'evento download-file. Tale evento potrebbe essere gestito da un componente come il File Service Client.
- il caricamento di nuovi file, con conseguente aggiornamento dell'elemento della collezione CRUD con i metadati di archiviazione del nuovo file. Questa richiesta viene segnalata con l'evento update-data-with-file e potrebbe essere raccolta da un componente come il File Manger.
`,n={docLink:"https://docs.mia-platform.eu/docs/microfrontend-composer/back-kit/components/file_picker_drawer/components/data_manipulation#bk-file-picker-drawer",label:"File Picker Drawer",description:"Drawer containing a drag-and-drop area to handle file uploads/downloads",descriptionLong:{en:t,it:o},example:JSON.stringify({tag:"bk-file-picker-drawer"}),type:"layout",definitions:{...i,dataSchema:a},properties:{rootElementSelector:{type:"string",__mia_configuration:{attribute:!0,label:"Container selector",description:"Selector to specify where the drawer should be appended",priority:"high",group:"appearance"}},width:{type:"number",default:500,__mia_configuration:{label:"Width",attribute:!0,priority:"high",group:"appearance"}},dataSchema:{$ref:"#/definitions/dataSchema",__mia_configuration:{label:"Data Schema","shared-key":"back-kit/data-schema",priority:"high",group:"content"}},mask:{type:"boolean",__mia_configuration:{attribute:!0,label:"Dark Mask",description:"whether to mask or not the drawer",priority:"low",group:"appearance"}},customLocale:{__mia_configuration:{attribute:!1,label:"Custom Locale",description:"Custom localized texts shown as component labels",priority:"low",group:"content"},type:"object",properties:{formTitle:e("Form Title"),filePickerTitle:e("File Picker Title"),ctaLabel:e("CTA Title"),filePicker:{type:"object",__mia_configuration:{label:"File Picker"},properties:{dragAndDropCaption:e("Drag And Drop Caption"),removeFile:e("Remove File"),checkboxCaption:e("Checkbox Caption"),metaDataTitle:e("Metadata Title")}}}}}};var d=n;export{d as default};
