import{l as e}from"./locale-wDcg0qDg.js";const t=`The Calendar is designed to manage a dataset that represents appointments, each with a startDate, endDate, and title. Upon mounting, it parses the URL for date and view parameters to initialize its state, defaulting if not present.

Interactions include:

- Clicking an appointment to edit it (emits a selected-data event).
- Clicking an empty slot to create a new appointment (emits an add-new event).
- Drag-and-drop to reschedule appointments (emits an update-data event for changing startDate and endDate).
- Changing the view or time span to adjust data retrieval and visualization (emits an add-filter event).
`,a=`Il Calendario è progettato per gestire un insieme di dati che rappresentano appuntamenti, ciascuno con una data di inizio, una data di fine e un titolo. Al momento del montaggio, analizza l'URL per trovare i parametri della data e della vista, per inizializzare il suo stato, che è predefinito se non è presente.

Le interazioni includono:

- Fare clic su un appuntamento per modificarlo (emette un evento selected-data).
- Fare clic su uno slot vuoto per creare un nuovo appuntamento (emette un evento add-new).
- Trascinamento per riprogrammare gli appuntamenti (emette un evento update-data per modificare la data di inizio e la data di fine).
- Modifica della vista o dell'intervallo di tempo per regolare il recupero e la visualizzazione dei dati (emette un evento add-filter).
`,n={docLink:"https://docs.mia-platform.eu/docs/microfrontend-composer/back-kit/components/calendar",type:"layout",label:"Calendar",description:"Renders a calendar to manage appointments",descriptionLong:{en:t,it:a},example:JSON.stringify({tag:"bk-calendar",properties:{filtersName:{start:"Start filter",end:"End filter"},additionalCreatePayload:{price:120,email:"{{currentUser.email}}"},view:"week"}}),properties:{view:{type:"string",default:"month",enum:["month","week","work_week","day","agenda"],__mia_configuration:{priority:"high",attribute:!0,label:"Time span view",description:"current view of the calendar. Possible values are `month`, `week`, or `day`",enumLabels:{month:"Month",week:"Week",work_week:"Work Week",day:"Day",agenda:"Agenda"},group:"appearance"}},height:{type:"string",__mia_configuration:{priority:"high",attribute:!0,label:"Height",description:"css-height the calendar should occupy in the page as described here: [https://developer.mozilla.org/en-US/docs/Web/CSS/height]",group:"appearance"}},additionalCreatePayload:{type:"object",default:{},__mia_configuration:{attribute:!0,label:"Create payload",description:"data that should be passed in the payload of a new event alongside `startDate` and `endDate`",group:"content"}},urlMask:{type:"string",default:"",__mia_configuration:{attribute:"url-mask",label:"URL mask",description:"Url mask to apply to the current path to extract dynamic parameters"}},filtersName:{__mia_configuration:{attribute:!1,label:"Filters Name",description:"Names of default date filters",group:"content"},type:"object",properties:{end:{__mia_configuration:{label:"End","schema-hint":"localized-text"}},start:{__mia_configuration:{label:"Start","schema-hint":"localized-text"}}}},customLocale:{__mia_configuration:{attribute:!1,label:"Custom Locale",description:"Custom localized texts shown as component labels",priority:"low",group:"content"},type:"object",properties:{date:e("Date"),time:e("Time"),event:e("Event"),allDay:e("All Day"),week:e("Week"),work_week:e("Work Week"),day:e("Day"),month:e("Month"),previous:e("Previous"),next:e("Next"),yesterday:e("Yesterday"),tomorrow:e("Tomorrow"),today:e("Today"),agenda:e("Agenda"),noEventsInRange:e("No Events In Range"),showMore:{type:"string",__mia_configuration:{description:"Use `${total}` to reference the number of hidden events. For instance: `${total} more`.",label:"Show More","schema-hint":"localized-text"}}}}}};var o=n;export{o as default};
