import{l as e}from"./locale-wDcg0qDg.js";const t=`The Auto Refresh component allows refreshing some resources with the selected interval.

It renders a label-like dorpdown button. The label of the button informs on the refresh frequency. The dropdown menu opens upon hovering on the button and allows to select a new refresh interval.

The refreshing happens by emitting a change-query event with an empty payload every interval. A component like the CRUD Client could.
`,n=`Il componente Auto Refresh consente di aggiornare alcune risorse con l'intervallo selezionato.

Renderizza un bottone con menù a tendina che mostra le frequenze di aggiornamento. Il menu a tendina si apre al passaggio del mouse sul pulsante e consente di selezionare un nuovo intervallo di aggiornamento.

L'aggiornamento avviene emettendo un evento change-query con un payload vuoto a ogni intervallo.
`,o={docLink:"https://docs.mia-platform.eu/docs/microfrontend-composer/back-kit/components/auto_refresh",type:"layout",label:"Auto Refresh",description:"Allows refreshing some resources with the selected interval",descriptionLong:{en:t,it:n},example:JSON.stringify({tag:"bk-auto-refresh",properties:{intervals:[10,30,60,120],initialInterval:10,customLocale:{refreshRate:{en:"Text",it:"Testo"}}}}),properties:{intervals:{__mia_configuration:{label:"Interval options",description:"A list of intervals in seconds",attribute:!0,priority:"high"},type:"array",items:{type:"number"},default:[5,10,30,60]},initialInterval:{type:"number",default:0,__mia_configuration:{attribute:!0,label:"Initial interval",description:"initial interval value",priority:"high"}},customLocale:{__mia_configuration:{attribute:!1,label:"Custom Locale",description:"Custom localized texts shown as component labels",priority:"low",group:"content"},type:"object",properties:{refreshRate:e("Refresh Rate")}}}};var r=o;export{r as default};
