const e=`The Dynamic Iframe allows to render an iframe with a dynamic source url.

Particularly, the source url of the rendered iframe may be dependent from the value of the url of the page in which the Dynamic Iframe is mounted.
`,r=`Il Dynamic Iframe permette di renderizzare un iframe con un url di origine dinamico.

In particolare, l'url di origine dell'iframe renderizzato può dipendere dal valore dell'url della pagina in cui è montato il Dynamic Iframe.
`,a={docLink:"https://docs.mia-platform.eu/docs/microfrontend-composer/back-kit/components/dynamic_iframe",label:"Dynamic Iframe",description:"Allows to render an iframe with a dynamically computed source",descriptionLong:{en:e,it:r},example:JSON.stringify({tag:"bk-dynamic-iframe",properties:{urlMask:"/order-details/:id",src:"/timeline/order/{{id}}"}}),type:"adapter",properties:{urlMask:{default:"",__mia_configuration:{attribute:"url-mask",label:"URL Mask",description:"URL mask to apply to the current path to extract dynamic parameters",priority:"high"},oneOf:[{type:"string"},{type:"object",properties:{pathname:{type:"string",__mia_configuration:{label:"Pathname mask",description:"URL Mask to apply to the current window location pathname"}},search:{type:"string",__mia_configuration:{label:"Search mask",description:"URL Mask to apply to the current window location search string"}}}}]},src:{type:"string",__mia_configuration:{attribute:"src",label:"Iframe Source",description:"Source URL of the iframe",priority:"high",group:"content"}}}};var i=a;export{i as default};
