import{d as o,a as t}from"./dataSchema-VwIQYPJL.js";import{l as e}from"./locale-wDcg0qDg.js";import{r as i}from"./utils-TB-VQl6t.js";const n=`The Bulk Actions Button allows users to update the value of a boolean or enum field across multiple items via a bulk operation. Users first select the field to update and then the target value using popup menus. 

- The component identifies modifiable properties in the dataSchema and focuses on enum or boolean types. 
- The button becomes visible when items are selected in components like the Table or the Gallery.
- Users interact with the left side of the component (three dots) to choose the property to modify. 
- The component then checks if the property value is uniform across selected items, displaying either the common value or 'various' if inconsistent. 
- Users select the new value on the right side, and the component notifies other components to perform the data update.
`,a=`Il pulsante Bulk Actions consente agli utenti di aggiornare il valore di un campo booleano o enum in più elementi tramite un'operazione in blocco. Gli utenti selezionano prima il campo da aggiornare e poi il valore di destinazione utilizzando i menu a comparsa. 

- Il componente identifica le proprietà modificabili nel dataSchema e si concentra sui tipi enum o booleani. 
- Il pulsante diventa visibile quando si selezionano elementi in componenti come la Tabella o la Galleria. 
- Gli utenti interagiscono con il lato sinistro del componente (tre punti) per scegliere la proprietà da modificare. 
- Il componente controlla quindi se il valore della proprietà è uniforme tra gli elementi selezionati, visualizzando il valore comune o 'vario' se non è coerente. 
- Gli utenti selezionano il nuovo valore sul lato destro e il componente invia una notifica agli altri componenti per eseguire l'aggiornamento dei dati.
`,r={docLink:"https://docs.mia-platform.eu/docs/microfrontend-composer/back-kit/components/bulk_actions_button",description:"A button to perform bulk editing on an array of items",descriptionLong:{en:n,it:a},label:"Bulk Action Button",definitions:{...o,dataSchema:t},example:JSON.stringify({tag:"bk-bulk-actions",properties:{dataSchema:{name:{type:"string"},isMarried:{type:"boolean"},dayOff:{type:"string",enum:["Mon","Tue","Wed","Thu","Fri"]}},requireConfirm:{cancelText:{en:"Text",it:"Testo"},okText:{en:"Text",it:"Testo"},content:{en:"Text",it:"Testo"},title:{en:"Text",it:"Testo"}},customLocale:{confirmationContent:{en:"Text",it:"Testo"},chooseProperty:{en:"Text",it:"Testo"},chooseValue:{en:"Text",it:"Testo"},noValue:{en:"Text",it:"Testo"}}}}),type:"layout",properties:{dataSchema:{$ref:"#/definitions/dataSchema",__mia_configuration:{"shared-key":"back-kit/data-schema",label:"Data Schema",priority:"high",group:"content"}},requireConfirm:{title:"Require Confirm",description:"Whether to prompt a confirmation stage before applying the action",oneOf:i,__mia_configuration:{priority:"high",group:"interaction"}},customLocale:{__mia_configuration:{attribute:!1,label:"Custom Locale",description:"Custom localized texts shown as component labels",priority:"low",group:"content"},type:"object",properties:{confirmationContent:e("Confirmation Message"),chooseProperty:e("Choose Property"),chooseValue:e("Choose Value"),noValue:e("No Value")}}}};var p=r;export{p as default};
