import{l as e}from"./locale-wDcg0qDg.js";const a=`The Pagination displays pagination navigation tools to query pages of a dataset. It allows moving backward and forward between pages, skipping to the first and last pages, and adjusting the current pagination size. Additionally, it displays a counter showing the current page and the total number of pages. It shows the current page and total elements in a given dataset while interacting with dynamic filters.

The Pagination communicates with other components by providing pagination parameters for data retrieval. It achieves this by injecting keys \`pageNumber\` and \`pageSize\` into the payload of a change-query event, which is emitted upon interacting with the component. Components such as the CRUD Client can listen to this event and use the provided pagination parameters to fetch new data accordingly.

Furthermore, the Pagination component listens to count-data events, which relay information about the size of the currently viewed dataset, to update its state.

In cases where the signaled **data count is negative**, the Pagination adjusts its view. In this scenario, only tasks such as navigating between pages and modifying the pagination size can be performed. Additionally, no information is provided about the currently viewed page or the total number of pages.

In case the request to visualize or navigate nested data is received, the Pagination notifies other components on what slice of data should be visualized according to its state.
`,i=`La Pagination visualizza gli strumenti di navigazione di pagina per interrogare le pagine di un set di dati. Consente di spostarsi avanti e indietro tra le pagine, di saltare alla prima e all'ultima pagina e di regolare le dimensioni della paginazione corrente. Inoltre, visualizza un contatore che indica la pagina corrente e il numero totale di pagine. Mostra la pagina corrente e il totale degli elementi in un set di dati, interagendo con filtri dinamici.

La Pagination comunica con altri componenti fornendo parametri di paginazione per il recupero dei dati. Ciò avviene iniettando le chiavi \`pageNumber\` e \`pageSize\` nel payload di un evento \`change-query\`, che viene emesso quando si interagisce con il componente. Componenti come il CRUD client possono ascoltare questo evento e utilizzare i parametri di paginazione forniti per recuperare i nuovi dati.

Inoltre, il componente Pagination ascolta gli eventi count-data, che trasmettono informazioni sulla dimensione del set di dati attualmente visualizzato, per aggiornare il suo stato.

Nei casi in cui il **conteggio dei dati segnalato è negativo**, Pagination modifica la sua visualizzazione. In questo scenario, è possibile eseguire solo operazioni come la navigazione tra le pagine e la modifica delle dimensioni della paginazione. Inoltre, non vengono fornite informazioni sulla pagina attualmente visualizzata o sul numero totale di pagine.

Nel caso in cui venga ricevuta la richiesta di visualizzare o navigare tra i dati annidati, la Pagination notifica agli altri componenti quale porzione di dati deve essere visualizzata in base al suo stato.
`,t={docLink:"https://docs.mia-platform.eu/docs/microfrontend-composer/back-kit/components/pagination",type:"layout",label:"Pagination",description:"displays pagination navigation tools to query pages of a dataset. It allows going back and forward and skip to first and last page. It shows the current page and total elements in a given dataset while interacting with dynamic filters",descriptionLong:{en:a,it:i},example:JSON.stringify({tag:"bk-pagination"}),properties:{pageSize:{type:"number",default:25,__mia_configuration:{attribute:"page-size",label:"Page Size",priority:"high",group:"appearance"}},pageSizeOptions:{type:"array",default:[10,25,50,100],items:{type:"number"},__mia_configuration:{attribute:!1,label:"Page size options",description:"List of available page sizes",priority:"high",group:"interaction"}},showPagesCount:{type:"boolean",default:!0,__mia_configuration:{attribute:!1,label:"Show pages count",description:"Whether or not to display current page and the total number of pages",priority:"high",group:"appearance"}},customLocale:{__mia_configuration:{attribute:!1,label:"Custom Locale",description:"Custom localized texts shown as component labels",priority:"low",group:"content"},type:"object",properties:{prev_page:e("Previous Page Title"),next_page:e("Next Page Title"),lastPage:e("Last Page Title"),firstPage:e("First Page Title"),itemsPerPage:e("Items Per Page")}}}};var o=t;export{o as default};
