const e=`The Layout Swap allows swapping between different document fragments / compose configurations

The use case this component addresses is when two or more configurations live in the same page but they need to be rendered conditionally, using another component to swap them, such as the Tabs or the Button.

At any time, all components of all layouts are included in the page.

The Layout Swap allows to hide the components of all layouts but one. The visible layout can be switched via the event layout/change.

> **⚠️ Caution**
>
> This component, due to the fact it must be loaded in advance, is bundled separately at /bk-layout-swap.esm.js
`,t=`Il Layout Swap consente di scambiare tra loro diversi frammenti di documento / configurazioni di composizione.

Il caso d'uso a cui risponde questo componente è quando due o più configurazioni sono presenti nella stessa pagina, ma devono essere rese in modo condizionato, utilizzando un altro componente per scambiarle, come le schede o il pulsante.

In qualsiasi momento, tutti i componenti di tutti i layout sono inclusi nella pagina.

Il Layout Swap consente di nascondere i componenti di tutti i layout tranne uno. Il layout visibile può essere cambiato tramite l'evento layout/change.

> **⚠️ ATTENZIONE**
>
> Questo componente, dato che deve essere caricato in anticipo, viene fornito separatamente in /bk-layout-swap.esm.js
`,o={type:"layout",label:"Layout Swap",description:"Allows to toggle between different sets of components or document frames",descriptionLong:{en:e,it:t},example:JSON.stringify({tag:"bk-layout-swap",properties:{layout:"table"},content:[{tag:"div",attributes:{slot:"table"},content:{tag:"bk-table"}},{tag:"div",attributes:{slot:"calendar"},content:{tag:"bk-calendar"}}]}),docLink:"https://docs.mia-platform.eu/docs/microfrontend-composer/back-kit/components/layout_swap",properties:{layout:{type:"string",__mia_configuration:{label:"Initial & current layout",description:"The layout chosen on bootstrap and after bootstrap the layout currently rendered",attribute:"bootstrap-layout",priority:"high",group:"content"}}}};var n=o;export{n as default};
